--- old/usr/src/man/man3c/mktemp.3c	Sun Jul 27 18:01:33 2014
+++ new/usr/src/man/man3c/mktemp.3c	Sun Jul 27 18:01:33 2014
@@ -1,4 +1,4 @@
-'\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright (c) 2004, Sun Microsystems, Inc.  All Rights Reserved.
 .\" Copyright 1989 AT&T
 .\" Portions Copyright (c) 2001, the Institute of Electrical and Electronics Engineers, Inc. and The Open Group. All Rights Reserved.
@@ -9,81 +9,78 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH MKTEMP 3C "Sep 15, 2004"
-.SH NAME
-mktemp \- make a unique file name  from a template
-.SH SYNOPSIS
-.LP
-.nf
-#include <stdlib.h>
-
-\fBchar *\fR\fBmktemp\fR(\fBchar *\fR\fItemplate\fR);
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBmktemp()\fR function replaces the contents of the string pointed to by
-\fItemplate\fR with a unique file name, and returns \fItemplate\fR. The string
-in \fItemplate\fR should look like a file name with six trailing 'X's;
-\fBmktemp()\fR will replace the 'X's with a character string that can be used
+.Dd "Jul 21, 2014"
+.Dt MKTEMP 3C
+.Os
+.Sh NAME
+.Nm mktemp
+.Nd make a unique file name  from a template
+.Sh SYNOPSIS
+.In stdlib.h
+.Ft "char *"
+.Fn mktemp "char *template"
+.Sh DESCRIPTION
+The
+.Fn mktemp
+function replaces the contents of the string pointed to by
+.Fa template
+with a unique file name, and returns
+.Fa template .
+The string in
+.Fa template
+should look like a file name with six trailing
+.So X Sc Ns s ;
+.Fn mktemp
+will replace the
+.So X Sc Ns s
+with a character string that can be used
 to create a unique file name. Only 26 unique file names per thread can be
-created for each unique \fItemplate\fR.
-.SH RETURN VALUES
-.sp
-.LP
-The \fBmktemp()\fR function returns a pointer to the \fItemplate\fR on success
-and \fBNULL\fR if unique name cannot be created.
-.SH ERRORS
-.sp
-.LP
-No errors are defined.
-.SH EXAMPLES
-.LP
-\fBExample 1 \fRGenerate a filename.
-.sp
-.LP
+created for each unique
+.Fa template .
+.Sh RETURN VALUES
+The
+.Fn mktemp
+function returns a pointer to the
+.Fa template
+on success and
+.Dv NULL
+if unique name cannot be created.
+.Sh EXAMPLES
+.Ss Example 1 Generate a filename.
 The following example replaces the contents of the "template" string with a
 10-character filename beginning with the characters "file" and returns a
 pointer to the "template" string that contains the new filename.
-
-.sp
-.in +2
-.nf
+.Bd -literal -offset indent
 #include <stdlib.h>
 \&...
 char template[] = "/tmp/fileXXXXXX";
 char *ptr;
 ptr = mktemp(template);
-.fi
-.in -2
-
-.SH USAGE
-.sp
-.LP
+.Ed
+.Sh ERRORS
+No errors are defined.
+.Sh SECURITY
 Between the time a pathname is created and the file opened, it is possible for
-some other process to create a file with the same name. The \fBmkstemp\fR(3C)
+some other process to create a file with the same name. The
+.Xr mkstemp 3C
 function avoids this problem and is preferred over this function.
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Standard
-_
-MT-Level	Safe
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBmkstemp\fR(3C), \fBtmpfile\fR(3C), \fBtmpnam\fR(3C), \fBattributes\fR(5),
-\fBstandards\fR(5)
+.Sh INTERFACE STABILITY
+.Sy Obsolete Standard .
+.Sh MT-LEVEL
+.Sy Safe .
+.Sh SEE ALSO
+.Xr mkstemp 3C ,
+.Xr tmpfile 3C ,
+.Xr tmpnam 3C ,
+.Xr standards 5
+.Sh STANDARDS
+The
+.Fn mktemp
+function was introduced in
+.At v7
+and subsequently standardized in
+.St -xpg4.2 .
+It was obsoleted in
+.St -p1003.1-2001 ,
+and removed from
+.St -p1003.1-2008 .