--- old/usr/src/man/man3c/pthread_attr_getstackaddr.3c	Sun Jul 27 18:01:34 2014
+++ new/usr/src/man/man3c/pthread_attr_getstackaddr.3c	Sun Jul 27 18:01:34 2014
@@ -1,4 +1,4 @@
-'\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright (c) 2008, Sun Microsystems, Inc.  All Rights Reserved.
 .\" Copyright (c) 2001, the Institute of Electrical and Electronics Engineers, Inc. and The Open Group. All Rights Reserved.
 .\" Copyright 1991, 1992, 1994, The X/Open Company Ltd.
@@ -9,93 +9,108 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH PTHREAD_ATTR_GETSTACKADDR 3C "Mar 23, 2005"
-.SH NAME
-pthread_attr_getstackaddr, pthread_attr_setstackaddr \- get or set stackaddr
-attribute
-.SH SYNOPSIS
-.LP
-.nf
-cc -mt [ \fIflag\fR... ] \fIfile\fR... -lpthread [ \fIlibrary\fR... ]
-#include <pthread.h>
-
-\fBint\fR \fBpthread_attr_getstackaddr\fR(\fBconst pthread_attr_t *restrict\fR \fIattr\fR,
-     \fBvoid **restrict\fR \fIstackaddr\fR);
-.fi
-
-.LP
-.nf
-\fBint\fR \fBpthread_attr_setstackaddr\fR(\fBpthread_attr_t *\fR\fIattr\fR, \fBvoid *\fR\fIstackaddr\fR);
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The functions \fBpthread_attr_setstackaddr()\fR and
-\fBpthread_attr_getstackaddr()\fR, respectively, set and get the thread
-creation \fIstackaddr\fR attribute in the \fIattr\fR object. The
-\fIstackaddr\fR default is \fINULL\fR. See \fBpthread_create\fR(3C).
-.sp
-.LP
-The \fIstackaddr\fR attribute specifies the location of storage to be used for
+.Dd "Jul 22, 2014"
+.Dt PTHREAD_ATTR_GETSTACKADDR 3C
+.Os
+.Sh NAME
+.Nm pthread_attr_getstackaddr ,
+.Nm pthread_attr_setstackaddr
+.Nd get or set stackaddr attribute
+.Sh SYNOPSIS
+.In pthread.h
+.Ft int
+.Fo pthread_attr_getstackaddr
+.Fa "const pthread_attr_t *restrict attr"
+.Fa "void **restrict stackaddr"
+.Fc
+.Ft int
+.Fn pthread_attr_setstackaddr "pthread_attr_t *attr" "void **stackaddr"
+.Sh DESCRIPTION
+The functions
+.Fn pthread_attr_setstackaddr
+and
+.Fn pthread_attr_getstackaddr ,
+respectively, set and get the thread creation
+.Fa stackaddr
+attribute in the
+.Fa attr
+object. The
+.Fa stackaddr
+default is
+.Dv NULL .
+See
+.Xr pthread_create 3C .
+.Lp
+The
+.Fa stackaddr
+attribute specifies the location of storage to be used for
 the created thread's stack. The size of the storage is at least
-\fBPTHREAD_STACK_MIN.\fR
-.SH RETURN VALUES
-.sp
-.LP
-Upon successful completion, \fBpthread_attr_setstackaddr()\fR and
-\fBpthread_attr_getstackaddr()\fR return a value of  \fB0\fR. Otherwise, an
+.Dv PTHREAD_STACK_MIN .
+.Sh RETURN VALUES
+Upon successful completion,
+.Fn pthread_attr_setstackaddr
+and
+pthread_attr_getstackaddr
+return 0. Otherwise, an
 error number is returned to indicate the error.
-.sp
-.LP
-If successful, the \fBpthread_attr_getstackaddr()\fR function stores the
-\fIstackaddr\fR attribute value in \fIstackaddr\fR.
-.SH ERRORS
-.sp
-.LP
-The \fBpthread_attr_setstackaddr()\fR function may fail if:
-.sp
-.ne 2
-.na
-\fB\fBEINVAL\fR\fR
-.ad
-.RS 10n
-\fIattr\fR is invalid.
-.RE
-
-.sp
-.LP
-The  \fBpthread_attr_getstackaddr()\fR function may fail if:
-.sp
-.ne 2
-.na
-\fB\fBEINVAL\fR\fR
-.ad
-.RS 10n
-\fIattr\fR or \fIstackaddr\fR is invalid.
-.RE
-
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Standard
-_
-MT-Level	MT-Safe
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBpthread_attr_init\fR(3C), \fBpthread_attr_setdetachstate\fR(3C),
-\fBpthread_attr_setstacksize\fR(3C), \fBpthread_create\fR(3C),
-\fBattributes\fR(5), \fBstandards\fR(5)
+.Lp
+If successful, the
+.Fn pthread_attr_getstackaddr
+function stores the
+.Sy stackaddr
+attribute value in
+.Fa stackaddr .
+.Sh ERRORS
+The
+.Fn pthread_attr_setstackaddr
+function may fail if:
+.Bl -tag -width Er
+.It Er EINVAL
+The
+.Fa attr
+argument is invalid.
+.El
+.Lp
+The
+.Fn pthread_attr_getstackaddr
+function may fail if:
+.Bl -tag -width Er
+.It Er EINVAL
+Either the
+.Fa attr
+or
+.Fa stackaddr
+arguments are invalid.
+.El
+.Sh USAGE
+Due to ambiguities in the standard for these functions, their use is
+discouraged.  Instead, the
+.Xr pthread_attr_setstack 3C
+and
+.Xr pthread_attr_getstack 3C
+functions, which were introduced in
+.St -p1003.1-2001 ,
+should be used instead.
+.Sh INTERFACE STABILITY
+.Sy Obsolete Standard .
+.Sh MT-LEVEL
+.Sy MT-Safe .
+.Sh SEE ALSO
+.Xr pthread_attr_getstack 3C ,
+.Xr pthread_attr_init 3C ,
+.Xr pthread_attr_setdetachstate 3C ,
+.Xr pthread_attr_setstack 3C ,
+.Xr pthread_attr_setstacksize 3C ,
+.Xr pthread_create 3C ,
+.Xr standards 5
+.Sh STANDARDS
+The
+.Fn pthread_attr_setstackaddr
+and
+.Fn pthread_attr_getstackaddr
+functions were introduced in
+.St -p1003.1c-95 .
+They were obsoleted in
+.St -p1003.1-2001
+and removed from
+.St -p1003.1-2008 .